Get Payouts
curl --request GET \
--url https://access.utgl.io/v1/payouts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/payouts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"payouts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"xid": "<string>",
"xmetadata": "<unknown>",
"created": "2023-11-07T05:31:56Z",
"destination": {
"type": "BANK_ACCOUNT",
"accountNumber": 123456,
"routingNumber": 1234,
"country": "US",
"bankName": "Bank of America",
"bankAddress": "123 Main St, New York, NY 10001, USA",
"swiftCode": "BOFAUS3N",
"accountHolderName": "John Doe",
"accountHolderAddress": "456 Park Ave, New York, NY 10022, USA"
},
"accountId": "6a3176fe-7715-4fe0-a548-034912d7f800",
"sourceCurrency": "<string>",
"sourceAmount": 123,
"destinationCurrency": "RMB",
"destinationAmount": 123,
"rate": 123,
"updated": "2023-11-07T05:31:56Z",
"subStatus": "ORDER_UNDER_AML_REVIEW",
"cancellationReason": "<string>"
}
]
}Payouts
Get Payouts
Retrieve a list of payouts
GET
/
payouts
Get Payouts
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Filter by payout id
Filter by account id
Filter by xid
Was this page helpful?
⌘I

